var SESSION_STATUS = Flashphoner.constants.SESSION_STATUS;
var STREAM_STATUS = Flashphoner.constants.STREAM_STATUS;
var session;
var localVideo;
var canvas;
var localDisplay;

 //init api
function init_page() {
    Flashphoner.init({});
	localDisplay = document.getElementById("localDisplay");
	canvas = document.getElementById("canvas");
	connect();
}

//Connect to WCS server over websockets
function connect() {
    session = Flashphoner.createSession({
        urlServer: "wss://demo.flashphoner.com:8443" //specify the address of your WCS
    }).on(SESSION_STATUS.ESTABLISHED, function(session) {
        publishStream(session);
    });
}

//Capturing stream of Canvas element"
function publishStream(session) {
	var videoStream = canvas.captureStream(30);
	publishStream = session.createStream({
		name: "test-canvas",
		display: localDisplay,
		constraints: {
            audio: false,
            video: false,
			customStream: videoStream
		}
    }).on(STREAM_STATUS.PUBLISHING, function (stream) {
  //drawing on canvas
		var c = document.getElementById("canvas");
        var ctx = c.getContext("2d");
        ctx.font = "30px Arial";
        ctx.fillStyle = "red";
        ctx.fillRect(0,0,320,176);
        ctx.strokeStyle = 'black';
        ctx.fillStyle = "green";
        (function loop() {
            ctx.fillText("Hello World", 10, 50);
            setTimeout(loop, 1000 / 30); // drawing at 30fps
        })();
	});
	publishStream.publish();
}
